## org.eclipse.datatools.modelbase.sql.accesscontrol.util
Class SQLAccessControlSwitch

    java.lang.Object
      org.eclipse.datatools.modelbase.sql.accesscontrol.util.SQLAccessControlSwitch

    public class SQLAccessControlSwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `SQLAccessControlPackage`

Constructor Summary
`SQLAccessControlSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` `caseAuthorizationIdentifier(AuthorizationIdentifier object)` Returns the result of interpreting the object as an instance of 'Authorization Identifier'.
`java.lang.Object` `caseEModelElement(org.eclipse.emf.ecore.EModelElement object)` Returns the result of interpreting the object as an instance of 'EModel Element'.
`java.lang.Object` `caseENamedElement(org.eclipse.emf.ecore.ENamedElement object)` Returns the result of interpreting the object as an instance of 'ENamed Element'.
`java.lang.Object` `caseGroup(Group object)` Returns the result of interpreting the object as an instance of 'Group'.
`java.lang.Object` `casePrivilege(Privilege object)` Returns the result of interpreting the object as an instance of 'Privilege'.
`java.lang.Object` `caseRole(Role object)` Returns the result of interpreting the object as an instance of 'Role'.
`java.lang.Object` `caseRoleAuthorization(RoleAuthorization object)` Returns the result of interpreting the object as an instance of 'Role Authorization'.
`java.lang.Object` `caseSQLObject(SQLObject object)` Returns the result of interpreting the object as an instance of 'SQL Object'.
`java.lang.Object` `caseUser(User object)` Returns the result of interpreting the object as an instance of 'User'.
`java.lang.Object` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`java.lang.Object` `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLAccessControlSwitch

    public SQLAccessControlSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseAuthorizationIdentifier

    public java.lang.Object caseAuthorizationIdentifier(AuthorizationIdentifier object)

  Returns the result of interpreting the object as an instance of 'Authorization Identifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Authorization Identifier'.
  See Also:
    `doSwitch(EObject)`

### casePrivilege

    public java.lang.Object casePrivilege(Privilege object)

  Returns the result of interpreting the object as an instance of 'Privilege'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Privilege'.
  See Also:
    `doSwitch(EObject)`

### caseGroup

    public java.lang.Object caseGroup(Group object)

  Returns the result of interpreting the object as an instance of 'Group'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Group'.
  See Also:
    `doSwitch(EObject)`

### caseUser

    public java.lang.Object caseUser(User object)

  Returns the result of interpreting the object as an instance of 'User'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'User'.
  See Also:
    `doSwitch(EObject)`

### caseRole

    public java.lang.Object caseRole(Role object)

  Returns the result of interpreting the object as an instance of 'Role'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Role'.
  See Also:
    `doSwitch(EObject)`

### caseRoleAuthorization

    public java.lang.Object caseRoleAuthorization(RoleAuthorization object)

  Returns the result of interpreting the object as an instance of 'Role Authorization'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Role Authorization'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public java.lang.Object caseEModelElement(org.eclipse.emf.ecore.EModelElement object)

  Returns the result of interpreting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public java.lang.Object caseENamedElement(org.eclipse.emf.ecore.ENamedElement object)

  Returns the result of interpreting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseSQLObject

    public java.lang.Object caseSQLObject(SQLObject object)

  Returns the result of interpreting the object as an instance of 'SQL Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'SQL Object'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`